Delete country by id
DELETE /obp/dynamic-entity/banks/ogcr/country/COUNTRY_ID
OBPv4.0.0-dynamicEntity_deletecountry_ogcr Roles: CanDeleteDynamicEntityRecord_country(per bank) _Country(ogcr)Dynamic-EntityDynamic
Delete country by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"country"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"country_id": "DE",
"country_name": "Germany"
}Example success response
{
"bank_id": "ogcr",
"country": {
"country_id": "DE",
"country_name": "Germany"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.